## mustang 3.2.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #******************************************************************************
-# TARGETS : ./bin/MUSTANG_v.3
+# TARGETS : ./bin/mustang-3.2.1
 # AUTHOR  : ARUN S KONAGURTHU
-# DATE    : 4/2/2005
 #******************************************************************************
 #directories
 MUSTANG = .
@@ -12,8 +11,8 @@
 BIN = $(MUSTANG)/bin
 
 #compiler options
-CPP = g++ #/usr/vacpp/bin/xlC_r 
-CPPFLAGS =  -traditional -O3 #-qsmp #-g -gstabs #-ggdb #-Wall -W -Wcomment -Werror -traditional -ffast-math -O1
+CPP = g++ 
+CPPFLAGS = -traditional -Wall -O3 
 LDFLAGS =
 .cpp.o:
 	$(CPP) $(CPPFLAGS) -c -o $@ $<
@@ -21,21 +20,22 @@
 #macros
 OBJECTS = $(OBJ)/globals.o $(OBJ)/CmdLineParser.o $(OBJ)/distmat.o $(OBJ)/sse_RK.o \
 	  $(OBJ)/read_structures.o $(OBJ)/primary_lib_gen.o  \
-	  $(OBJ)/pairwise_global_structalgn.o $(OBJ)/pdb_ripper.o  $(OBJ)/merge_global_local_libs.o \
+	  $(OBJ)/pairwise_global_structalgn.o $(OBJ)/pdb_ripper.o  \
+	  $(OBJ)/merge_global_local_libs.o \
 	  $(OBJ)/ew.o $(OBJ)/refine_pairalgn.o $(OBJ)/superpose_weightedRMS.o\
 	  $(OBJ)/superpose_2.o $(OBJ)/jacobi.o  $(OBJ)/3D_manip_functions.o \
-	  $(OBJ)/extended_lib_gen.o $(OBJ)/progress_align.o $(OBJ)/neighbour_joining.o $(OBJ)/upgma.o \
-	  $(OBJ)/superpose_on_core.o $(OBJ)/multiple_superposition.o $(OBJ)/output_algn.o $(OBJ)/main.o
-ALL = $(BIN)/MUSTANG_v.3
+	  $(OBJ)/extended_lib_gen.o $(OBJ)/progress_align.o $(OBJ)/neighbour_joining.o \
+	  $(OBJ)/upgma.o \
+	  $(OBJ)/superpose_on_core.o $(OBJ)/multiple_superposition.o \
+	  $(OBJ)/output_algn.o $(OBJ)/main.o
+ALL = $(BIN)/mustang-3.2.1
 
 #targets
 all: $(ALL)
 
 
-
-
 #------------------------------------------------------------------------------
-$(BIN)/MUSTANG_v.3: $(OBJECTS) 
+$(BIN)/mustang-3.2.1: $(OBJECTS) 
 	$(CPP) $(CPPFLAGS)  $(LDFLAGS) -o $@ $(OBJECTS)
 
 $(OBJ)/globals.o: $(SRC)/globals.h $(SRC)/macros.h $(SRC)/globals.cpp
@@ -122,7 +122,7 @@
 	rm $(OBJ)/*.o
 
 remove: clean
-	rm  $(BIN)/MUSTANG_v.3
+	rm  $(BIN)/*
 #------------------------------------------------------------------------------
 
 #******************************************************************************
