=== debian/changelog ===
mustang (3.2.1-3) unstable; urgency=low

  * debian/upstream:
     - Use BibTeX friendly formating of authors
  * debian/patches/gcc-4.7.patch: Fix build issue with gcc-4.7
    Closes: #667293

 -- Andreas Tille <tille@debian.org>  Sun, 22 Apr 2012 18:18:34 +0200

mustang (3.2.1-2) unstable; urgency=low

  [ Charles Plessy ]
  * Documented information in ‘debian/upstream’.
  * Removed mention of the bibliographic reference in ‘debian/control’.

  [ Andreas Tille ]
  * debian/watch: Fixed homepage for download
  * debian/upstream: Moved DOI+PMID to references
  * debian/citation.bib: Removed because duplication of information
  * debian/mustang.docs: Removed because nothing to install any more
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Fixed Vcs fields
     - FIxed homepage
  * debian/source/format: 3.0 (quilt)
  * debian/{control,rules}: removed explicite quilt dependency
  * debian/README.source: Removed because outdated with source format
    3.0 (quilt)
  * debian/copyright: Rewritten to match DEP5 and verified using
      cme fix dpkg-copyright
  * debian/{compat,control}: debhelper 9

 -- Andreas Tille <tille@debian.org>  Tue, 03 Apr 2012 22:17:32 +0200

mustang (3.2.1-1) unstable; urgency=low

  * New upstream version
  * Morten Kjeldgaard lost interest in this package because of
    agressive upstream so I removed him from uploaders and added myself
  * debhelper 7
  * prefer single debhelper files in debian/ instead of using
    arguments do debhelper scripts in the rules file which simplifies
    transition to short rules file
  * debian/watch: no uversionmangle which leads to wrong version
    number

 -- Andreas Tille <tille@debian.org>  Wed, 28 Oct 2009 19:59:33 +0100

mustang (3.2.0-1) unstable; urgency=low

  * New upstream version.
  * Patches 02-main.cpp.patch and 04-gcc-4.3-exit.patch have been 
    incorporated upstream and are no longer required.

 -- Morten Kjeldgaard <mok0@ubuntu.com>  Mon, 05 Oct 2009 13:10:26 +0200

mustang (3.0-2) unstable; urgency=low

  * Converted to quilt patch system.
  * New uploader email
  * Added citation.bib file, installed in /usr/share/doc/mustang
  
 -- Morten Kjeldgaard <mok0@ubuntu.com>  Sun, 14 Dec 2008 13:55:03 +0100

mustang (3.0-1) unstable; urgency=low

  [ Nelson A. de Oliveira ]
  * debian/rules: CFLAGS -> CPPFLAGS
  * debian/control: add ${misc:Depends} to binary package, and 
    add Suggests: mustang-testdata
  * Add debian/watch
  
  [ Morten Kjeldgaard ]
  * Upload mustang to Debian  (Closes: #459637).
  * debian/control: Maintainer and homepage fields set as per
    Debian policy.
  * Include test pdb files in a separate package.
  * debian/rules: add get-orig-source target.
  * Include new upstream patches.
  * Upstream now distributes manpage which is installed.
  * Include pdb files from upstream tarball in a separate package,
    for a more extensive test.

  [ Andreas Tille ]
  * Maintainer: Debian-Med Packaging Team
    Uploaders: Morten Kjeldgaard <mok@bioxray.au.dk>
  * XS-DM-Upload-Allowed: Yes
  * Vcs-Browser, Vcs-Svn

  [ Steffen Moeller ]
  * Policy 3.8.0
  * Patch for gcc-4.3
  * debian/control has less redundany and easier working, added ref to paper.
  * changed debian watch to reflect version mangling in debian/changelog

 -- Morten Kjeldgaard <mok@bioxray.au.dk>  Mon, 04 Aug 2008 10:42:14 +0200

mustang (3.0-0ubuntu1) gutsy; urgency=low

  * Initial release
  * Manpage mustang.1 authored from information in the README.txt file.
  * The upstream tarball was repackaged to remove PDB files which have an
    undetermined copyright status and hence can not be distributed.
    Furthermore, the license was extracted from one of the source files
    and placed in the file 'LICENSE'. A note describing the repackaging in
    detail is placed in debian/copyright.
  * Instead of the PDB files included in the original tarball, a script is
    supplied that allows the user to fetch a few PDB files and test that
    mustang works.
  * A patch on main.cpp is supplied to beautify the output of the initial
    author blurb. The tabs in the output were removed to make the output
    easier to read in a default 80 columns wide terminal window.

 -- Morten Kjeldgaard <mok@bioxray.dk>  Mon, 25 Jun 2007 15:55:12 +0000
