=== debian/control ===
Source: mustang
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Homepage: http://www.csse.monash.edu.au/~karun/Site/mustang.html
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mustang/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mustang/trunk/

Package: mustang
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mustang-testdata
Description: multiple structural alignment of proteins
 Mustang is an algorithm to align multiple protein structures.
 Given a set of PDB files, the program uses the spatial
 information in the Calpha atoms of the set to produce a sequence alignment.
 Based on a progressive pairwise heuristic the algorithm then proceeds
 through a number of refinement passes. Mustang reports the multiple
 sequence alignment and the corresponding superposition of structures.

Package: mustang-testdata
Architecture: all
Enhances: mustang
Depends: ${misc:Depends}
Description: multiple structural alignment of proteins, test data
 This package contains a larger set of test data than what
 comes with the binary package. 
 .
 To run the test, change to a directory where you have write access, 
 then issue the command:
  mustang -f /usr/share/doc/mustang-testdata/examples/test_zf-CCHH
