=== debian/watch ===
version=3
http://www.csse.monash.edu.au/~karun/Site/mustang.html http://www.csse.unimelb.edu.au/~arun/mustang/mustang_v([.\d]*)\.tgz
