## mustang 3.2.2

=== debian/changelog ===
mustang (3.2.2-1) unstable; urgency=medium

  * New upstream version
  * Fixed watch file
  * moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * debian/patches/hardening.patch: Propagate hardening options
  * Add some test data manually since we can not download anything
    at build time (autopkgtest time)
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 13 Aug 2014 14:43:43 +0200
