=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; mode: font-lock  -*-

%:
	dh $@

override_dh_compress:
	dh_compress -X.pdb

override_dh_auto_clean:
	rm -f obj/*.o
	rm -f bin/mustang-3.2*
#	dh_clean

override_dh_auto_install:
	install -D -m755 bin/mustang-3.2* debian/mustang/usr/bin/mustang
