=== debian/changelog ===
mustang (3.2.3-1ubuntu1) zesty; urgency=medium

  * Update existing hardening patch to rebuild app with -fPIC.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 23 Mar 2017 14:41:45 +0530

mustang (3.2.3-1) unstable; urgency=medium

  * New upstream version
  * New homepage
  * New watch location

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jan 2017 08:32:16 +0100

mustang (3.2.2-2) unstable; urgency=medium

  * Homepage with code vanished - use the publication page as next best URL
    to link to
  * Create fake watch file indicating that there is no upstream site any more
  * cme fix dpkg-control
  * debhelper 10
  * DEP5 fixes
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2016 16:17:04 +0100
