=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: mustang
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Testsuite: autopkgtest
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mustang/trunk/
+Build-Depends: debhelper (>= 10)
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/mustang/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mustang/trunk/
-Homepage: http://www.csse.monash.edu.au/~karun/Site/mustang.html
+Homepage: http://lcb.infotech.monash.edu.au/mustang/
 
 Package: mustang
 Architecture: any
