## mustang 3.2.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #******************************************************************************
-# TARGETS : ./bin/mustang-3.2.3
+# TARGETS : ./bin/mustang-3.2.4
 # AUTHOR  : ARUN S KONAGURTHU
 #******************************************************************************
 #directories
@@ -28,14 +28,14 @@
 	  $(OBJ)/upgma.o \
 	  $(OBJ)/superpose_on_core.o $(OBJ)/multiple_superposition.o \
 	  $(OBJ)/output_algn.o $(OBJ)/main.o
-ALL = $(BIN)/mustang-3.2.3
+ALL = $(BIN)/mustang-3.2.4
 
 #targets
 all: $(ALL)
 
 
 #------------------------------------------------------------------------------
-$(BIN)/mustang-3.2.3: $(OBJECTS) 
+$(BIN)/mustang-3.2.4: $(OBJECTS) 
 	$(CPP) $(CPPFLAGS)  $(LDFLAGS) -o $@ $(OBJECTS)
 
 $(OBJ)/globals.o: $(SRC)/globals.h $(SRC)/macros.h $(SRC)/globals.cpp
