=== debian/changelog ===
mustang (3.2.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 25 Dec 2022 22:30:48 +0100

mustang (3.2.3-4) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Fri, 30 Oct 2020 11:20:06 +0100

mustang (3.2.3-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * use standard variable for the c++ compiler
    Closes: #895299

  [ Andreas Tille ]
  * Standards-Version: 4.1.4
  * Point Vcs URLs to Salsa
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 09 Apr 2018 21:33:59 +0200

mustang (3.2.3-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Thu, 16 Nov 2017 09:19:48 +0100
