=== debian/control ===
Source: mustang
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/mustang
Vcs-Git: https://salsa.debian.org/med-team/mustang.git
Homepage: https://lcb.infotech.monash.edu.au/mustang/
Rules-Requires-Root: no

Package: mustang
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: mustang-testdata
Description: multiple structural alignment of proteins
 Mustang is an algorithm to align multiple protein structures.
 Given a set of PDB files, the program uses the spatial
 information in the Calpha atoms of the set to produce a sequence alignment.
 Based on a progressive pairwise heuristic the algorithm then proceeds
 through a number of refinement passes. Mustang reports the multiple
 sequence alignment and the corresponding superposition of structures.

Package: mustang-testdata
Architecture: all
Depends: ${misc:Depends}
Enhances: mustang
Multi-Arch: foreign
Description: multiple structural alignment of proteins, test data
 This package contains a larger set of test data than what
 comes with the binary package.
 .
 To run the test, change to a directory where you have write access,
 then issue the command:
  mustang -f /usr/share/doc/mustang-testdata/examples/test_zf-CCHH
